from ariadne import QueryType

from bot_graphql.filter.server_filter import ServerFilter
from bot_data.service.server_repository_service import ServerRepositoryService


class Query(QueryType):

    def __init__(
            self,
            servers: ServerRepositoryService
    ):
        QueryType.__init__(self)
        self._servers = servers

        self.set_field('servers', self.resolve_servers)

    def resolve_servers(self, filter: ServerFilter, *_):
        return self._servers.get_servers()
